class FifoBuffer {
	DWORD BufferSize;
	DWORD BytesInBuffer;
	BYTE	*PtrBuffer;
	DWORD	OffsFirstByte, OffsFirstFree;
	DWORD Index;

public:
  	FifoBuffer();									// Constructor function.
  ~FifoBuffer();									// Destructor function.
	BOOL InitBuffer(DWORD);						// Creates and initiates the buffer.
	BOOL InsertBytes(DWORD, BYTE*);			// Insert bytes into end of buffer.
	BOOL InsertBytesFirst(DWORD, BYTE*);	// Insert bytes into front of buffer.
	BOOL RemoveBytes(DWORD, BYTE*);			// Remove bytes from front of buffer.
	VOID ClearBuffer();							// Clear the buffer.
	DWORD GetNumBytes();							// Return number of bytes in buffer.
	DWORD GetNumFreeBytes();					// Return number of free bytes in buffer.

};
