struct S_CHNL_DATA {
   DWORD ThreadID;               // The threadID of the channel thread.
   SYSTEMTIME ChEventStartTime;  // The channel trigged at this time.
   SYSTEMTIME ChEventStopTime;   // The channel detrigged at this time.
};

struct STARTINFO_WRITEEVENT {
   BYTE TrgSetNumber;                        // Triggerset number (1-MAX_NUM_OF_TRIGGERSETS).
   TCHAR EFileDir[MAX_PATH+1];                // Directory for event file.   
   TCHAR SFileDir[MAX_PATH+1];                // Directory for the S-File.   
   BYTE NumOfDFileChannels;                  // Number of channels to be dumped to event file.
   BYTE NumOfSFileChannels;                  // Number of channels to be included in S-file.
   SYSTEMTIME EventStartTime;                // Time for start of network event.
   SYSTEMTIME EventStopTime;                 // Time for end of network event.
   DWORD DumpChannels[MAX_NUM_OF_CHANNELS];  // Thread ID's for the channels to be dumped.
   S_CHNL_DATA SChData[MAX_NUM_OF_CHANNELS]; // Information about the channels to be included in the S-file.
   BOOL ManualTrig;                          // TRUE if this event is triggered manually by the user from the program menu.
   BOOL ReleaseMemory;                       // If TRUE, then this startup info structure
                                             // must be deallocated, because the thread
                                             // that started this thread, has allocated
                                             // memory for this startup structure using
                                             // the LocalAlloc API call.
};
