#define WINCE

//
// Prototype definitions.
//
VOID StartSystem(VOID);
VOID StopSystem(VOID);
LRESULT CALLBACK AdministerDevicesDlgProc(HWND, UINT, WPARAM, LPARAM);
VOID RegisterDevices(VOID);
VOID LoadDevices(VOID);
VOID StartDevices(VOID);
DWORD StartDeviceManager(BOOL, TCHAR);
BOOL ExistDevice(PTCHAR, PBYTE);

//
// Declaration of device manager thread functions.
// 
DWORD WINAPI EDM006MngrThrd(PVOID);
DWORD WINAPI PS2400MngrThrd(PVOID);
DWORD WINAPI NullDevMngrThrd(PVOID);
DWORD WINAPI GBVx16MngrThrd(PVOID);
DWORD WINAPI NMRDxMngrThrd(PVOID);
DWORD WINAPI SeisAD18MngrThrd(PVOID);
DWORD WINAPI SADCMngrThrd(PVOID);
DWORD WINAPI KMK2MngrThrd(PVOID);
#ifndef WINCE
DWORD WINAPI NMHRD24MngrThrd(PVOID);
DWORD WINAPI CBDAS640216MngrThrd(PVOID);
#endif